io.vertx.ext.web.api

## Class OperationRequest

- java.lang.Object
- - io.vertx.ext.web.api.OperationRequest

- Deprecated.
  You should use the new module vertx-web-openapi

      @Deprecated
      public class OperationRequest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationRequest()` Deprecated.
    `OperationRequest(JsonObject json)` Deprecated.
    `OperationRequest(JsonObject params, MultiMap headers, JsonObject user, JsonObject extra)` Deprecated.
    `OperationRequest(OperationRequest other)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonObject` | `getExtra()` Deprecated. Get extra payload
    `MultiMap` | `getHeaders()` Deprecated. Get request headers
    `JsonObject` | `getParams()` Deprecated. Get request parsedParameters as JSON
    `JsonObject` | `getUser()` Deprecated. Get request principal user as routingContext.user().principal(), null if no user is authenticated
    `OperationRequest` | `setExtra(JsonObject extra)` Deprecated.
    `OperationRequest` | `setHeaders(MultiMap headers)` Deprecated.
    `OperationRequest` | `setParams(JsonObject params)` Deprecated.
    `OperationRequest` | `setUser(JsonObject user)` Deprecated.
    `JsonObject` | `toJson()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationRequest

          public OperationRequest()

      Deprecated.

    - #### OperationRequest

          public OperationRequest(JsonObject json)

      Deprecated.

    - #### OperationRequest

          public OperationRequest(JsonObject params,
                                  MultiMap headers,
                                  JsonObject user,
                                  JsonObject extra)

      Deprecated.

    - #### OperationRequest

          public OperationRequest(OperationRequest other)

      Deprecated.

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Deprecated.

    - #### getParams

          public JsonObject getParams()

      Deprecated.
      Get request parsedParameters as JSON

    - #### getHeaders

          public MultiMap getHeaders()

      Deprecated.
      Get request headers

    - #### getUser

          public JsonObject getUser()

      Deprecated.
      Get request principal user as routingContext.user().principal(), null if no user is authenticated

    - #### getExtra

          public JsonObject getExtra()

      Deprecated.
      Get extra payload
      Returns:

    - #### setParams

          public OperationRequest setParams(JsonObject params)

      Deprecated.

    - #### setHeaders

          public OperationRequest setHeaders(MultiMap headers)

      Deprecated.

    - #### setUser

          public OperationRequest setUser(JsonObject user)

      Deprecated.

    - #### setExtra

          public OperationRequest setExtra(JsonObject extra)

      Deprecated.

Copyright © 2022 Eclipse. All rights reserved.